Name:           python-hcoop-meetbot
Version:        0.6.10
Release:        %mkrel 2
Summary:        Plugin for Limnoria to help run IRC meetings
Group:          Networking/IRC

License:        Apache-2.0
URL:            https://pypi.org/project/hcoop-meetbot/
Source:         %{pypi_source hcoop_meetbot}

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3dist(pytest)

%global _description %{expand:
This is a plugin for Limnoria, a bot framework for IRC. It is designed to help
run meetings on IRC.}

%description %_description

%package -n     python3-hcoop-meetbot
Summary:        %{summary}

%description -n python3-hcoop-meetbot %_description

%pyproject_extras_subpkg -n python3-hcoop-meetbot docs


%prep
%autosetup -p1 -n hcoop_meetbot-%{version}


%generate_buildrequires
%pyproject_buildrequires -x docs


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files HcoopMeetbot hcoopmeetbotlogic


%check
%pyproject_check_import
export TZ=UTC
%pytest


%files -n python3-hcoop-meetbot -f %{pyproject_files}
%doc README.md Changelog
%license LICENSE NOTICE
%{_bindir}/meetbot



%changelog
* Thu Sep 19 2024 danf <danf> 0.6.10-2.mga10
+ Revision: 2098768
- Enable tests, package a couple more doc files

* Sat Mar 02 2024 papoteur <papoteur> 0.6.10-1.mga10
+ Revision: 2047160
- imported package python-hcoop-meetbot

